<?php

class TracTicketsConfig extends Migration
{
    function description ()
    {
        return 'add global configuration options';
    }

    function up ()
    {
        $db = DBManager::get();

        $config = array(
            'TRAC_URL' => 'URL of your Trac installation',
            'TRAC_USER' => 'Trac user with XML-RPC permission',
            'TRAC_PASSWORD' => 'password of the Trac user'
        );

        foreach ($config as $key => $desc) {
            $db->exec("INSERT INTO config
                        (config_id, field, is_default, type, description)
                       VALUES
                        ('".md5($key)."', '".$key."', 1, 'string',
                         '".addslashes($desc)."')"
            );
        }
    }

    function down ()
    {
        $db = DBManager::get();
        $db->exec("DELETE FROM config WHERE field = 'TRAC_URL'");
        $db->exec("DELETE FROM config WHERE field = 'TRAC_USER'");
        $db->exec("DELETE FROM config WHERE field = 'TRAC_PASSWORD'");
    }
}
?>
